Manuel:WrapOldPasswords.php

This page is a translated version of the page Manual:WrapOldPasswords.php and the translation is 56% complete.
Outdated translations are marked like this.
Version de MediaWiki :
1.24

Détails

Le fichier wrapOldPasswords.php est un script de maintenance qui enveloppe tous les mots de passe d'un certain type dans un type de niveau spécifié venant entourer l'ancien type.

Si nécessaire, l'ancien hachage MD5 peut être restauré en initialisant $wgPasswordDefault à '$b'.

Ce script de maintenance peut envelopper tous les mots de passe en 'pbkdf2-legacyA' ou 'pbkdf2-legacyB' si vous ne voulez pas attendre que vos utilisateurs se connectent.

Options/Arguments

Option Description Required?
--type Type vers lequel vous voulez convertir. Il doit être l'un des types de couche de $wgPasswordConfig , et valoir soit pbkdf2-legacyA soit pbkdf2-legacyB. obligatoire
--verbose Produit une sortie verbeuse pendant l'exécution. optionnel
--update Actually wrap passwords optionnel

Utilisation

php maintenance/wrapOldPasswords.php --type PasswordConfigKey [ --verbose| --update ]

Dry run

Terminal
$ php maintenance/wrapOldPasswords.php --type pbkdf2-legacyA

7 user rows found using old password formats. Run script again with --update to update these rows

Updating the password

Terminal
$ php maintenance/wrapOldPasswords.php --type pbkdf2-legacyA --update

7 users rows updated.

See also